bigumbelIexp {VGAM} | R Documentation

## Gumbel's Type I Bivariate Distribution Family Function

### Description

Estimate the association parameter of Gumbel's Type I bivariate distribution by maximum likelihood estimation.

### Usage

    bigumbelIexp(lapar = "identitylink", iapar = NULL, imethod = 1)

### Arguments

`lapar` | Link function applied to the association parameter alpha. See `Links` for more choices.
`iapar` | Numeric. Optional initial value for alpha. By default, an initial value is chosen internally. If a convergence failure occurs try assigning a different value. Assigning a value will override the argument `imethod`.
`imethod` | An integer with value `1` or `2` which specifies the initialization method. If failure to converge occurs try the other value, or else specify a value for `ia`.

### Details

The cumulative distribution function is

P(Y1 <= y1, Y2 <= y2) = exp(-y1-y2+alpha*y1*y2) + 1 - exp(-y1) - exp(-y2)

for real alpha. The support of the function is for y1>0 and y2>0. The marginal distributions are an exponential distribution with unit mean.

A variant of Newton-Raphson is used, which only seems to work for an intercept model. It is a very good idea to set `trace=TRUE`.

### Value

An object of class `"vglmff"` (see `vglmff-class`). The object is used by modelling functions such as `vglm` and `vgam`.

### Note

The response must be a two-column matrix. Currently, the fitted value is a matrix with two columns and values equal to 1. This is because each marginal distribution corresponds to a exponential distribution with unit mean.

This VGAM family function should be used with caution.

### Author(s)

T. W. Yee

### References

Gumbel, E. J. (1960) Bivariate Exponential Distributions. Journal of the American Statistical Association, 55, 698–707.

### See Also

`bifgmexp`.

### Examples

    nn <- 1000
    gdata <- data.frame(y1 = rexp(nn), y2 = rexp(nn))
    ## Not run:  with(gdata, plot(cbind(y1, y2)))
    fit <- vglm(cbind(y1, y2) ~ 1, bigumbelIexp, data = gdata, trace = TRUE)
    coef(fit, matrix = TRUE)
    Coef(fit)
    head(fitted(fit))

[Package VGAM version 1.0-4 Index]